# This kustomization.yaml is not intended to be run by itself,
# since it depends on service name and namespace that are out of this kustomize package.
# It should be run by config/default
resources:
- bases/broker.amq.io_activemqartemises.yaml
- bases/broker.amq.io_activemqartemisaddresses.yaml
- bases/broker.amq.io_activemqartemisscaledowns.yaml
- bases/broker.amq.io_activemqartemissecurities.yaml
#+kubebuilder:scaffold:crdkustomizeresource

#patchesStrategicMerge:
# [WEBHOOK] To enable webhook, uncomment all the sections with [WEBHOOK] prefix.
# patches here are for enabling the conversion webhook for each CRD
#- patches/webhook_in_activemqartemises.yaml
#- patches/webhook_in_activemqartemisaddresses.yaml
#- patches/webhook_in_activemqartemisscaledowns.yaml
#- patches/webhook_in_activemqartemissecurities.yaml
#- patches/webhook_in_activemqartemissecurities.yaml
#- patches/webhook_in_activemqartemisaddresses.yaml
#+kubebuilder:scaffold:crdkustomizewebhookpatch

# [CERTMANAGER] To enable cert-manager, uncomment all the sections with [CERTMANAGER] prefix.
# patches here are for enabling the CA injection for each CRD
#- patches/cainjection_in_activemqartemises.yaml
#- patches/cainjection_in_activemqartemisaddresses.yaml
#- patches/cainjection_in_activemqartemisscaledowns.yaml
#- patches/cainjection_in_activemqartemissecurities.yaml
#+kubebuilder:scaffold:crdkustomizecainjectionpatch

#patchesJson6902:
#- target:
#    group: "apiextensions.k8s.io"
#    version: v1 # apiVersion
#    kind: CustomResourceDefinition
#    name: activemqartemises.broker.amq.io
#  path: patches/patch_conversion_webhook_client_ca_bundles.yaml
#- target:
#    group: "apiextensions.k8s.io"
#    version: v1 # apiVersion
#    kind: CustomResourceDefinition
#    name: activemqartemisaddresses.broker.amq.io
#  path: patches/patch_conversion_webhook_client_ca_bundles.yaml
#- target:
#    group: "apiextensions.k8s.io"
#    version: v1 # apiVersion
#    kind: CustomResourceDefinition
#    name: activemqartemisscaledowns.broker.amq.io
#  path: patches/patch_conversion_webhook_client_ca_bundles.yaml
#- target:
#    group: "apiextensions.k8s.io"
#    version: v1 # apiVersion
#    kind: CustomResourceDefinition
#    name: activemqartemissecurities.broker.amq.io
#  path: patches/patch_conversion_webhook_client_ca_bundles.yaml

# the following config is for teaching kustomize how to do kustomization for CRDs.
configurations:
- kustomizeconfig.yaml
